# FAQ

## QPU Data

### What's the 1Q/2Q native gate set?

The authoritative source of this information is the [Quil calibration program](https://docs.api.qcs.rigetti.com/#operation/GetQuiltCalibrations), which can be retrieved directly from the API or via utilities in `pyQuil` and other QCS tools.

If there's a `DEFCAL` for a gate, it's native; if not, you'll have to replace it prior to translation and execution. Note that:

* This native gate set changes over time
* A given gate may not be available on all qubits or edges within the topology of a QPU

### What are the 1Q/2Q gate times?

Like the native gate set, the source of truth for this information is the [Quil calibration program](https://docs.api.qcs.rigetti.com/#operation/GetQuiltCalibrations). Because the calibrations are shown for all native gates, the duration of a calibrated gate can be computed from the Quil implementation.

The gate time can usually be computed by hand, especially for simple gates. However, Quil utilities in [Rust](https://docs.rs/quil-rs/latest/quil_rs/program/analysis/struct.BasicBlock.html#method.as_schedule_seconds) and [Python](https://rigetti.github.io/quil-rs/quil/program.html#BasicBlock.as_schedule_seconds) can compute individual gate durations as well as the schedule of gates within an overall program. See the linked docs for examples.

### What are the 1Q/2Q operation fidelities?

This data is present within the [instruction set architecture](https://docs.api.qcs.rigetti.com/#operation/GetInstructionSetArchitecture) document available from the QCS API.

### What is the current T1, T2, or other benchmark?

Some benchmarks are available within the [instruction set architecture](https://docs.api.qcs.rigetti.com/#operation/GetInstructionSetArchitecture) document. However, some are left to the user to compute. For example, for practical reasons, we do not regularly publish T1 and T2 values for Ankaa QPUs.

### Does Ankaa support active reset?

As of May 2024, Ankaa QPUs support only passive reset. Active reset support arrives in mid-2024.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rigetti.com/qcs/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
